Bug 91235 - RFE: kickstart does not allow to set LANG=POSIX or LANG=C
RFE: kickstart does not allow to set LANG=POSIX or LANG=C
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-05-20 05:35 EDT by Andreas Luik
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-24 19:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Luik 2003-05-20 05:35:22 EDT
Description of problem:
The kickstart procedure does not allow to set the locale to either
POSIX or C (which would be glibc's default).  The following line in
ks.cfg fails:

langsupport --default POSIX en_US

Error message is:
KeyError: language POSIX not found
(in language.py, line 208 in getLangNameByNick)

I could fix this by myself by adding the appropriate lines to
/usr/share/anaconda/locale-list, I guess.  But IMHO this setting
should be allowed by the standard anacoda.

How reproducible:
Run Kickstart installation, and use "langsupport --default POSIX en_US".
Comment 1 Michael Fulbright 2003-05-20 12:11:21 EDT
I asked around and couldn't find anyone who could give me a reason why you would
want to do this :)  What problem are you trying to solve that requires this setting?
Comment 2 Andreas Luik 2003-05-21 04:31:21 EDT
I guess you are asking why I would like to kickstart-install our machines with
LANG=POSIX instead of en_US?  Because all of our Linux and Unix systems
(Solaris, HP-UX, etc) are installed with POSIX being the default.  You can
recognize the difference immediately, if you look at the sorting order of
"ls -a" output (i.e. the LC_COLLATE specification is different in POSIX and

pascal:/tmp/dir(15)> env LANG=POSIX ls -a
.  ..  .cshrc  .login  FILE  bin  lib
pascal:/tmp/dir(16)> env LANG=en_US ls -a
.  ..  bin  .cshrc  FILE  lib  .login

The latter order is not what I want, because it is not Unix-ish.

BTW, I cannot see a reason to NOT add "POSIX" and/or "C" to the list of
languages accepted by anaconda.  Do you?
Comment 3 Michael Fulbright 2003-05-22 12:11:58 EDT
Thank you for explaining your requirements.  I will forward this request to an
Comment 4 Jeremy Katz 2003-07-24 19:48:04 EDT
Saying that you're using the POSIX locale doesn't give enough boundaries on what
things like console font and the like should be.  If you want to use POSIX for
your default language and are using kickstart, just change /etc/sysconfig/i18n
in %post

Note You need to log in before you can comment on or make changes to this bug.